<template>
  <xmAttachmentEx
    v-bind="$attrs"
    :enable-attachment-ex-tab="false"
    :zw-uploadable="$attrs.zwUploadable"
    :uploadfj="false"
    v-on="$listeners"
  />
</template>

<script>
import xmAttachmentEx from '@product/iam/components/xm-attachment-ex'
import components from './_import-components/xm-attachment-ex-render-import'
const XmAttachmentExRender = {
  name: 'XmAttachmentExRender',
  components: {
    ...components,
    xmAttachmentEx,
  },
  created() {
    console.log(this.$attrs)
  },
  data() {
    return {}
  },
  methods: {},
}
// 默认导出：编辑模式的组件
export default XmAttachmentExRender
// forDisplay导出：只读模式的组件
export { XmAttachmentExRender as forDisplay }
</script>

<style module lang="scss">
@use '@/common/design' as *;
</style>
